### Method

# Shell Screenshot pick_color

#### Declaration [src]

    void
    shell_screenshot_pick_color (
      ShellScreenshot* screenshot,
      int x,
      int y,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Picks the pixel at `x`, `y` and returns its color as `ClutterColor`.

This method completes asynchronously. Use `shell_screenshot_pick_color_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`x`

  Type: `int`

  The X coordinate to pick.

`y`

  Type: `int`

  The Y coordinate to pick.

`callback`

  Type: `GAsyncReadyCallback`

  Function to call returning success or failure of the async grabbing.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.